import { execSync } from 'child_process';
import { Logger } from '../build/utils/logger';

(function(){
    const pluginCommand= "npx ZDPrecommit setupPlugins"
    try{
        execSync(pluginCommand,{ cwd: process.cwd(), stdio: 'inherit' })
    } catch(err){
        Logger.log(Logger.FAILURE_TYPE,`encountered issue while installing plugins`)
    }
})()